version: '3'
services:
  python-controller:
    image: xdyngrpc-python
    command: -m xdyngrpc.controllers.pid_controller
    user: ${CURRENT_UID}
    environment:
      - no_proxy
  cpp-controller:
    image: xdyngrpc-controller-cpp
    user: ${CURRENT_UID}
    command: PID.cpp
    environment:
      - no_proxy
    working_dir: /work
    volumes:
      - ./:/work
  test:
    image: xdyngrpc-python
    depends_on:
      - cpp-controller
      - python-controller
    user: ${CURRENT_UID}
    environment:
      - no_proxy
    entrypoint: >
      wait-for-it cpp-controller:9002 -s -t 120 --
      wait-for-it python-controller:9002 -s -t 20 --
      python3 -m xdyngrpc.controllers.grpc_controller_client
